---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_deep_merge_yaml Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The deep_merge_yaml data source accepts a list of YAML strings as input and deep merges into a single YAML string as output.
---

# Data Source `utils_deep_merge_yaml`

The `deep_merge_yaml` data source accepts a list of YAML strings as input and deep merges into a single YAML string as output.

## Example Usage

```terraform
terraform {
  required_providers {
    utils = {
      source = "cloudposse/utils"
    }
  }
}

locals {
  yaml_data_1 = file("${path.module}/data1.yaml")
  yaml_data_2 = file("${path.module}/data2.yaml")
}

data "utils_deep_merge_yaml" "example" {
  input = [
    local.yaml_data_1,
    local.yaml_data_2
  ]
}

output "deep_merge_output" {
  value = data.utils_deep_merge_yaml.example.output
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **inputs** (List of String) A list YAML strings that is deep merged into the `output` attribute.

### Optional

- **id** (String) The ID of this resource.

### Read-only

- **output** (String) The deep-merged output.


